You must install libcURL to use flash 10 - Mozilla

This is a discussion on You must install libcURL to use flash 10 - Mozilla ; somehow noone got around to telling me this. I just happened to get lucky and find it mentioned a in blog somewhere. BUT it has made for unexplained crashes since my first attempts with flash 10. I'm not sure why ...

+ Reply to Thread
Results 1 to 4 of 4

Thread: You must install libcURL to use flash 10

  1. You must install libcURL to use flash 10

    somehow noone got around to telling me this. I just happened to get
    lucky and find it mentioned a in blog somewhere.
    BUT it has made for unexplained crashes since my first attempts with
    flash 10. I'm not sure why everyone just assumes
    this should be on your system but you must have libcURL
    http://curl.haxx.se/. I blame this on "distros" everyone just
    cheerfully assumed it works GREAT and when I mentioned crashes the
    silence was not pleasant. So if you like me
    are using a "from scratch" system this could be your problem. Good luck.
    Meanwhile Id appreciate Mozilla-zine
    or whatever mentioning this.


    Regards,

    John

  2. Re: You must install libcURL to use flash 10

    On Thu, 06 Nov 2008 18:13:57 -0500
    john q public wrote:

    > somehow noone got around to telling me this. I just happened to get
    > lucky and find it mentioned a in blog somewhere.
    > BUT it has made for unexplained crashes since my first attempts with
    > flash 10. I'm not sure why everyone just assumes
    > this should be on your system but you must have libcURL
    > http://curl.haxx.se/.


    This may or may not be the blog you ran across, but it's a good one to
    have bookmarked in case of Flash issues with GNU/Linux. The current
    libcurl situation is a complicated and may change, so I'll link to that
    post instead of the main page.




  3. Re: You must install libcURL to use flash 10

    On 11/06/2008 03:13 PM, john q public wrote:
    > somehow noone got around to telling me this. I just happened to get
    > lucky and find it mentioned a in blog somewhere.


    [List of library dependencies for FP9 and FP10 on Linux]

    > BUT it has made for unexplained crashes since my first attempts with
    > flash 10. I'm not sure why everyone just assumes
    > this should be on your system but you must have libcURL
    > http://curl.haxx.se/. I blame this on "distros" everyone just
    > cheerfully assumed it works GREAT and when I mentioned crashes the
    > silence was not pleasant. So if you like me
    > are using a "from scratch" system this could be your problem.


    Nope. It's your problem. If you are building everything 'from scratch'
    then it's your responsibility to to check _all_ dependencies before you
    install something.


    Good luck.
    > Meanwhile Id appreciate Mozilla-zine
    > or whatever mentioning this.


    Why? It is not Mozilla's responsibility to detail that you'd need curl
    on a standalone 'build-it-yourself-from scratch' linux system to install
    Flash. Flash is an Adobe product. Contact Adobe & request that _they_
    include the information in _their_ installation requirements documents.


  4. Re: You must install libcURL to use flash 10

    NoOp wrote:
    > On 11/06/2008 03:13 PM, john q public wrote:
    >> somehow noone got around to telling me this. I just happened to get
    >> lucky and find it mentioned a in blog somewhere.

    >
    >
    >[List of library dependencies for FP9 and FP10 on Linux]
    >
    >> BUT it has made for unexplained crashes since my first attempts with
    >> flash 10. I'm not sure why everyone just assumes
    >> this should be on your system but you must have libcURL
    >> http://curl.haxx.se/. I blame this on "distros" everyone just
    >> cheerfully assumed it works GREAT and when I mentioned crashes the
    >> silence was not pleasant. So if you like me
    >> are using a "from scratch" system this could be your problem.

    >
    > Nope. It's your problem. If you are building everything 'from scratch'
    > then it's your responsibility to to check _all_ dependencies before you
    > install something.


    I get what your saying, however running ldd on libflashplayer.so does
    *not* return libcurl.

    --
    Rinaldi
    Every improvement in communication makes the bore more terrible.
    -- Frank Moore Colby

+ Reply to Thread